View Issue Details

IDProjectCategoryView StatusLast Update
0005977DarkRadiantDesign/Codingpublic24.07.2022 12:24
Reportergreebo Assigned Togreebo  
PrioritynormalSeveritynormalReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version3.0.0 
Target Version3.1.0Fixed in Version3.1.0 
Summary0005977: Improve Declaration Block Parsing
DescriptionFollowup of 0005911: Since all the idTech4 declaration files have the same format, DR should perform all the parsing using the same DefBlockTokeniser type. There's still some custom if-else trickery involved for entityDef or material/table parsing that could be shifted towards the tokeniser. The output token type BlockTokeniser::Block needs to be expanded by a "type" field, which can hold the optional decl type like "material" or "skin" or "entityDef".
TagsNo tags attached.

Relationships

related to 0004910 resolvedgreebo DR does not parse materials in def files 
related to 0005911 resolvedgreebo Unify Declaration Parsers 
related to 0005504 resolvedgreebo Reload Defs is not sufficient for reloading modelDefs 
related to 0006003 resolvedgreebo "Reload Defs" doesn't remove entities that have been commented out 
related to 0006002 resolvedgreebo Remove comments about particle generator in .prt files 
related to 0006007 resolvedgreebo 'Reload Sounds' doesn't load new FM sound shader definitions 
related to 0006023 resolvedgreebo Python Interface for IDeclarationManager 

Activities

There are no notes attached to this issue.

Related Changesets

DarkRadiant: declmanager 9939fd69

2022-06-17 06:57:55

greebo

Details Diff
0005977: Add a few more unit test cases Affected Issues
0005977
mod - test/Parsing.cpp Diff File

DarkRadiant: declmanager 0f91058b

2022-06-17 06:58:12

greebo

Details Diff
0005977: Set up a few declaration-related interfaces Affected Issues
0005977
add - include/ideclmanager.h Diff File
mod - tools/msvc/include.vcxproj Diff File
mod - tools/msvc/include.vcxproj.filters Diff File

DarkRadiant: declmanager 0aa291a2

2022-06-18 17:53:20

greebo

Details Diff
0005977: Add empty implementation, define a few unit tests Affected Issues
0005977
mod - radiantcore/CMakeLists.txt Diff File
add - radiantcore/decl/DeclarationManager.cpp Diff File
mod - test/CMakeLists.txt Diff File
add - test/DeclManager.cpp Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File
mod - tools/msvc/Tests/Tests.vcxproj Diff File
mod - tools/msvc/Tests/Tests.vcxproj.filters Diff File

DarkRadiant: declmanager e0a32134

2022-06-18 18:03:25

greebo

Details Diff
0005977: Implement registerDeclType and unregisterDeclType Affected Issues
0005977
mod - radiantcore/decl/DeclarationManager.cpp Diff File

DarkRadiant: declmanager 941062eb

2022-06-19 07:57:41

greebo

Details Diff
0005977: First iteration supporting parsing of known declarations. Affected Issues
0005977
mod - include/ideclmanager.h Diff File
mod - include/idecltypes.h Diff File
mod - radiantcore/decl/DeclarationManager.cpp Diff File
add - radiantcore/decl/DeclarationManager.h Diff File
add - radiantcore/decl/DeclarationParser.cpp Diff File
add - radiantcore/decl/DeclarationParser.h Diff File
mod - test/DeclManager.cpp Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: declmanager 409ae7af

2022-06-19 08:04:10

greebo

Details Diff
0005977: Safely close parser threads when the module is shut down Affected Issues
0005977
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - radiantcore/decl/DeclarationManager.h Diff File

DarkRadiant: declmanager 2ef2444c

2022-06-19 08:36:23

greebo

Details Diff
0005977: Separate the unit test resources, they will collide with the regular RadiantTest setup once GlobalMaterialManager() et al will have been migrated to use the decl manager. Affected Issues
0005977
mod - test/DeclManager.cpp Diff File
add - test/resources/tdm/testdecls/exporttest.decl Diff File
add - test/resources/tdm/testdecls/numbers.decl Diff File

DarkRadiant: declmanager 813575cd

2022-06-19 08:54:24

greebo

Details Diff
0005977: Late parser registration is working now Affected Issues
0005977
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - radiantcore/decl/DeclarationManager.h Diff File
mod - radiantcore/decl/DeclarationParser.cpp Diff File
mod - test/DeclManager.cpp Diff File

DarkRadiant: declmanager 639bdeaf

2022-06-19 09:01:48

greebo

Details Diff
0005977: Late parser registration is working now even when added during thread processing Affected Issues
0005977
mod - test/DeclManager.cpp Diff File

DarkRadiant: declmanager 30e8b3f1

2022-06-19 14:08:01

greebo

Details Diff
0005977: Start migrating SoundManager to use the DeclarationManager's parsing infrastructure instead of a custom threaded parser. Affected Issues
0005977
mod - include/ideclmanager.h Diff File
mod - include/ifilesystem.h Diff File
mod - include/isound.h Diff File
mod - plugins/script/interfaces/SoundInterface.h Diff File
mod - plugins/sound/SoundFileLoader.h Diff File
mod - plugins/sound/SoundManager.cpp Diff File
mod - plugins/sound/SoundManager.h Diff File
mod - plugins/sound/SoundShader.h Diff File
mod - radiant/ui/common/SoundChooser.cpp Diff File
mod - radiant/ui/common/SoundShaderDefinitionView.cpp Diff File
mod - radiant/ui/common/SoundShaderPreview.cpp Diff File
mod - radiantcore/CMakeLists.txt Diff File
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - radiantcore/decl/DeclarationManager.h Diff File
mod - radiantcore/decl/DeclarationParser.cpp Diff File
mod - radiantcore/decl/DeclarationParser.h Diff File
mod - radiantcore/entity/algorithm/Speaker.h Diff File
mod - test/DeclManager.cpp Diff File

DarkRadiant: declmanager e6c400e4

2022-06-19 16:32:03

greebo

Details Diff
0005977: SoundManager no longer maintains its own dictionary of shaders as member Affected Issues
0005977
mod - include/ideclmanager.h Diff File
mod - plugins/sound/SoundFileLoader.h Diff File
mod - plugins/sound/SoundManager.cpp Diff File
mod - plugins/sound/SoundManager.h Diff File
mod - plugins/sound/SoundShader.cpp Diff File
mod - plugins/sound/SoundShader.h Diff File
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - radiantcore/decl/DeclarationManager.h Diff File
mod - test/DeclManager.cpp Diff File

DarkRadiant: declmanager c4f2bbb0

2022-06-19 16:33:54

greebo

Details Diff
0005977: Rename SoundFileLoader to SoundShaderParser Affected Issues
0005977
mod - plugins/sound/SoundManager.cpp Diff File
mod - plugins/sound/SoundManager.h Diff File
mod - tools/msvc/sound.vcxproj Diff File
mod - tools/msvc/sound.vcxproj.filters Diff File

DarkRadiant: declmanager 38ed7f2b

2022-06-19 17:25:49

greebo

Details Diff
0005977: Add reloadDecarations() to IDeclarationManager interface Affected Issues
0005977
mod - include/ideclmanager.h Diff File
mod - plugins/sound/SoundManager.cpp Diff File
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - radiantcore/decl/DeclarationManager.h Diff File

DarkRadiant: declmanager df14b271

2022-06-24 12:59:09

greebo

Details Diff
0005977: Add unit test checking that reloadDecls re-parses the file Affected Issues
0005977
mod - include/ideclmanager.h Diff File
mod - plugins/sound/SoundShader.cpp Diff File
mod - plugins/sound/SoundShader.h Diff File
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - test/DeclManager.cpp Diff File
add - test/testutil/TemporaryFile.h Diff File
mod - tools/msvc/Tests/Tests.vcxproj Diff File
mod - tools/msvc/Tests/Tests.vcxproj.filters Diff File

DarkRadiant: declmanager a9896bcb

2022-06-24 17:55:08

greebo

Details Diff
0005977: Some restructuring to make the parsing logic reusable outside the ThreadedDeclParser. Affected Issues
0005977
mod - radiantcore/CMakeLists.txt Diff File
add - radiantcore/decl/DeclarationFile.h Diff File
add - radiantcore/decl/DeclarationFolderParser.cpp Diff File
add - radiantcore/decl/DeclarationFolderParser.h Diff File
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - radiantcore/decl/DeclarationManager.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: declmanager 43c9214e

2022-06-25 04:30:11

greebo

Details Diff
0005977: Change IDeclarationParser to IDeclarationCreator. The declaration instances will work with the DeclarationBlockSyntax. Affected Issues
0005977
mod - include/ideclmanager.h Diff File
mod - plugins/sound/SoundManager.cpp Diff File
mod - plugins/sound/SoundShader.cpp Diff File
mod - plugins/sound/SoundShader.h Diff File
mod - plugins/sound/SoundShaderParser.h Diff File
mod - radiantcore/decl/DeclarationFileParser.cpp Diff File
mod - radiantcore/decl/DeclarationFileParser.h Diff File
mod - radiantcore/decl/DeclarationFolderParser.cpp Diff File
mod - radiantcore/decl/DeclarationFolderParser.h Diff File
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - radiantcore/decl/DeclarationManager.h Diff File
mod - test/DeclManager.cpp Diff File

DarkRadiant: declmanager 81fd9fea

2022-06-25 04:49:52

greebo

Details Diff
0005977: Rename interface method Affected Issues
0005977
mod - include/ideclmanager.h Diff File
mod - plugins/sound/SoundManager.cpp Diff File
mod - plugins/sound/SoundShader.cpp Diff File
mod - plugins/sound/SoundShader.h Diff File
mod - radiantcore/decl/DeclarationFileParser.cpp Diff File
mod - test/DeclManager.cpp Diff File

DarkRadiant: declmanager 612a5307

2022-06-25 13:36:38

greebo

Details Diff
0005977: Reduce DeclarationFileParser responsibility to cut the incoming streams into blocks and determine their type.
The DeclarationManager will receive all identified blocks and will process them further.
Affected Issues
0005977
mod - include/idecltypes.h Diff File
mod - radiantcore/decl/DeclarationFileParser.cpp Diff File
mod - radiantcore/decl/DeclarationFileParser.h Diff File
mod - radiantcore/decl/DeclarationFolderParser.cpp Diff File
mod - radiantcore/decl/DeclarationFolderParser.h Diff File
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - radiantcore/decl/DeclarationManager.h Diff File

DarkRadiant: declmanager e79828b0

2022-06-25 14:18:08

greebo

Details Diff
0005977: First implementation of IDeclarationManager::reloadDecarations Affected Issues
0005977
mod - radiantcore/decl/DeclarationFileParser.cpp Diff File
mod - radiantcore/decl/DeclarationFileParser.h Diff File
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - radiantcore/decl/DeclarationManager.h Diff File
mod - test/DeclManager.cpp Diff File

DarkRadiant: declmanager 8bf2ffeb

2022-06-25 16:26:28

greebo

Details Diff
0005977: Introduce parse stamp methods to the IDeclaration interface. Add unit test. Affected Issues
0005977
mod - include/ideclmanager.h Diff File
mod - plugins/sound/SoundShader.cpp Diff File
mod - plugins/sound/SoundShader.h Diff File
mod - test/DeclManager.cpp Diff File

DarkRadiant: declmanager 73d41714

2022-06-26 04:31:45

greebo

Details Diff
0005977: More reloadDecls unit tests Affected Issues
0005977
mod - test/DeclManager.cpp Diff File

DarkRadiant: declmanager 9eff8281

2022-06-26 05:53:57

greebo

Details Diff
0005977: First working version of reloadDecls Affected Issues
0005977
mod - radiantcore/decl/DeclarationFile.h Diff File
mod - radiantcore/decl/DeclarationFileParser.cpp Diff File
mod - radiantcore/decl/DeclarationFileParser.h Diff File
mod - radiantcore/decl/DeclarationFolderParser.cpp Diff File
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - radiantcore/decl/DeclarationManager.h Diff File
mod - test/DeclManager.cpp Diff File

DarkRadiant: declmanager f1cb6204

2022-06-26 06:36:53

greebo

Details Diff
0005977: Some more precautions, code cleanup Affected Issues
0005977
mod - radiantcore/decl/DeclarationFileParser.cpp Diff File
mod - radiantcore/decl/DeclarationFileParser.h Diff File
mod - radiantcore/decl/DeclarationFolderParser.h Diff File
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - radiantcore/decl/DeclarationManager.h Diff File

DarkRadiant: declmanager 3a1d720f

2022-06-26 06:42:50

greebo

Details Diff
0005977: Merge DeclarationFileParser back into DeclarationFolderParser, turns out it doesn't add much value Affected Issues
0005977
mod - radiantcore/CMakeLists.txt Diff File
rm - radiantcore/decl/DeclarationFileParser.cpp Diff File
rm - radiantcore/decl/DeclarationFileParser.h Diff File
mod - radiantcore/decl/DeclarationFolderParser.cpp Diff File
mod - radiantcore/decl/DeclarationFolderParser.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: declmanager 3a58c3cc

2022-06-26 06:56:34

greebo

Details Diff
0005977: More signal tests Affected Issues
0005977
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - test/DeclManager.cpp Diff File

DarkRadiant: declmanager 9cd59760

2022-06-26 07:11:13

greebo

Details Diff
0005977: Add unit test checking the precedence of parsed decls with the same name (test is failing right now) Affected Issues
0005977
mod - test/DeclManager.cpp Diff File
add - test/resources/tdm/testdecls/precedence_test1.decl Diff File
add - test/resources/tdm/testdecls/precedence_test2.decl Diff File

DarkRadiant: declmanager 86fc80f3

2022-06-26 07:28:18

greebo

Details Diff
0005977: Declaration precedence is matching the engine's behaviour now, the first decl takes precedence Affected Issues
0005977
mod - radiantcore/decl/DeclarationManager.cpp Diff File

DarkRadiant: declmanager 523dc791

2022-06-26 08:21:07

greebo

Details Diff
0005977: Fix SoundManager returning empty references in getSoundShader(). The docs state that this should return an empty shader instead. Affected Issues
0005977
mod - plugins/sound/SoundManager.cpp Diff File

DarkRadiant: declmanager 90631131

2022-06-26 08:37:39

greebo

Details Diff
0005977: Extend DefBlockTokeniser tests to handle some blocks with type names Affected Issues
0005977
mod - test/Parsing.cpp Diff File

DarkRadiant: declmanager 93bf93f1

2022-06-26 10:03:10

greebo

Details Diff
0005977: Separate SoundManager tests from DefBlockTokeniser tests. Affected Issues
0005977
mod - test/CMakeLists.txt Diff File
add - test/SoundManager.cpp Diff File
mod - test/resources/tdm/sound/parsing_test.sndshd Diff File
mod - tools/msvc/Tests/Tests.vcxproj Diff File
mod - tools/msvc/Tests/Tests.vcxproj.filters Diff File

DarkRadiant: declmanager f2032dfa

2022-06-26 10:17:40

greebo

Details Diff
0005977: More SoundManager tests Affected Issues
0005977
mod - test/SoundManager.cpp Diff File
mod - test/resources/tdm/sound/parsing_test.sndshd Diff File
add - test/resources/tdm/sound/test/jorge.ogg Diff File
add - test/resources/tdm/sound/test/jorge.wav Diff File

DarkRadiant: declmanager fbb3e81e

2022-06-26 10:24:22

greebo

Details Diff
0005977: Check SoundManager behaviour when serving requests for files without extensions Affected Issues
0005977
mod - test/SoundManager.cpp Diff File

DarkRadiant: declmanager 60dc9427

2022-06-26 10:31:08

greebo

Details Diff
0005977: Simplify file extension replacement code a bit Affected Issues
0005977
mod - plugins/sound/SoundManager.cpp Diff File
mod - plugins/sound/SoundManager.h Diff File

DarkRadiant: declmanager a533214b

2022-06-26 10:51:52

greebo

Details Diff
0005977: Add ReloadDecls which is now the target of the ReloadSounds command. Cleanup and comments. Affected Issues
0005977
mod - include/ideclmanager.h Diff File
mod - include/isound.h Diff File
mod - plugins/sound/SoundManager.cpp Diff File
mod - plugins/sound/SoundManager.h Diff File
mod - radiant/ui/common/SoundChooser.cpp Diff File
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - radiantcore/decl/DeclarationManager.h Diff File
mod - test/DeclManager.cpp Diff File

DarkRadiant: declmanager 7077f397

2022-06-26 14:18:55

greebo

Details Diff
0005977: Introduce DeclarationBase as base implementation of IDeclaration Affected Issues
0005977
add - libs/DeclarationBase.h Diff File
mod - plugins/sound/SoundShader.cpp Diff File
mod - plugins/sound/SoundShader.h Diff File
mod - tools/msvc/libs.vcxproj Diff File
mod - tools/msvc/libs.vcxproj.filters Diff File

DarkRadiant: declmanager 7f92e5fe

2022-07-02 04:25:39

greebo

Details Diff
0005977: Start migrating Doom3ModelDefs to derive from DeclarationBase, redirect eclass manager methods to the declaration manager.
Add some unit tests covering the modelDef-related methods.
Affected Issues
0005977
mod - include/ideclmanager.h Diff File
mod - include/idecltypes.h Diff File
mod - include/ieclass.h Diff File
mod - libs/DeclarationBase.h Diff File
mod - plugins/script/interfaces/EClassInterface.cpp Diff File
mod - plugins/script/interfaces/EClassInterface.h Diff File
mod - plugins/sound/SoundManager.cpp Diff File
mod - plugins/sound/SoundShader.cpp Diff File
mod - plugins/sound/SoundShader.h Diff File
mod - radiant/ui/animationpreview/MD5AnimationViewer.cpp Diff File
mod - radiant/ui/animationpreview/MD5AnimationViewer.h Diff File
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - radiantcore/decl/DeclarationManager.h Diff File
add - radiantcore/eclass/DefCreators.h Diff File
mod - radiantcore/eclass/Doom3ModelDef.h Diff File
mod - radiantcore/eclass/EClassManager.cpp Diff File
mod - radiantcore/eclass/EClassManager.h Diff File
mod - radiantcore/eclass/EntityClass.h Diff File
mod - test/DeclManager.cpp Diff File
mod - test/Entity.cpp Diff File
mod - test/resources/tdm/def/entity_with_model.def Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: declmanager 334067ad

2022-07-02 04:30:14

greebo

Details Diff
0005977: Adjust modelDef parsing code to only deal with the block contents found in the decl. Affected Issues
0005977
mod - radiantcore/eclass/Doom3ModelDef.h Diff File
mod - radiantcore/eclass/EClassParser.cpp Diff File

DarkRadiant: declmanager 6eaa14e5

2022-07-02 05:11:53

greebo

Details Diff
0005977: Set up some modelDef inheritance tests Affected Issues
0005977
mod - test/Entity.cpp Diff File
mod - test/resources/tdm/def/entity_with_model.def Diff File

DarkRadiant: declmanager 0461d6f9

2022-07-02 06:07:59

greebo

Details Diff
0005977: Redefine IModelDef interface to allow for lazy parsing of the declaration syntax Affected Issues
0005977
mod - include/ieclass.h Diff File
mod - plugins/script/interfaces/EClassInterface.cpp Diff File
mod - plugins/script/interfaces/EClassInterface.h Diff File
mod - radiant/ui/animationpreview/MD5AnimationViewer.cpp Diff File
mod - radiant/ui/animationpreview/MD5AnimationViewer.h Diff File
mod - radiant/ui/modelselector/ModelPopulator.h Diff File
mod - radiant/ui/modelselector/ModelSelector.cpp Diff File
mod - radiantcore/eclass/Doom3ModelDef.h Diff File
mod - radiantcore/eclass/EClassManager.cpp Diff File
mod - radiantcore/eclass/EClassManager.h Diff File
mod - radiantcore/eclass/EClassParser.cpp Diff File
mod - radiantcore/eclass/EClassParser.h Diff File
mod - radiantcore/model/ModelCache.cpp Diff File
mod - radiantcore/selection/algorithm/Entity.cpp Diff File
mod - test/Entity.cpp Diff File

DarkRadiant: declmanager a8c9a7c8

2022-07-02 08:05:19

greebo

Details Diff
0005977: ModelDefs are now lazily parsing their contents, inheritance resolution is done on the fly. Affected Issues
0005977
mod - radiantcore/eclass/Doom3ModelDef.h Diff File

DarkRadiant: declmanager 3250f2b0

2022-07-02 08:25:04

greebo

Details Diff
0005977: Cleanup. Add more unit tests to prove that declaration lookup is case-insensitive. They are failing of course. Affected Issues
0005977
mod - radiantcore/eclass/EClassParser.cpp Diff File
mod - test/DeclManager.cpp Diff File
mod - test/Entity.cpp Diff File

DarkRadiant: declmanager f30807cc

2022-07-02 10:15:43

greebo

Details Diff
0005977: DeclarationManager treats decl names case-insensitively during lookup Affected Issues
0005977
mod - include/ideclmanager.h Diff File
mod - radiantcore/decl/DeclarationManager.h Diff File

DarkRadiant: declmanager b1d2e0e5

2022-07-02 12:32:31

greebo

Details Diff
0005977: Extend unit tests to cover more eclass colour override behaviour Affected Issues
0005977
mod - test/Entity.cpp Diff File

DarkRadiant: declmanager fbfa5e99

2022-07-02 15:19:01

greebo

Details Diff
0005977: Add IDeclarationManager::findOrCreateDeclaration to interface Affected Issues
0005977
mod - include/ideclmanager.h Diff File
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - radiantcore/decl/DeclarationManager.h Diff File
mod - test/DeclManager.cpp Diff File

DarkRadiant: declmanager 697f588b

2022-07-03 05:45:05

greebo

Details Diff
0005977: It seems the IEntityClass::getModelPath and getSkin methods were updated but never used by anything else => deactivating that code for now. Since the engine code deals with skins defined on modelDefs, let's open a separate bugtracker entry to support skinned model defs. Affected Issues
0005977
mod - include/ieclass.h Diff File
mod - radiantcore/eclass/EClassParser.cpp Diff File
mod - radiantcore/eclass/EntityClass.cpp Diff File
mod - radiantcore/eclass/EntityClass.h Diff File

DarkRadiant: declmanager fdc6ccdb

2022-07-03 06:32:20

greebo

Details Diff
0005977: Merge the two EntityClass constructors into one, since it's only used internally.
Invert the bool logic of the named CreateDefault constructor to be the same as the one used in the regular constructor.
The isFixedSize parameter is now mandatory on the EntityClass constructor.
Affected Issues
0005977
mod - radiantcore/eclass/DefCreators.h Diff File
mod - radiantcore/eclass/EClassManager.cpp Diff File
mod - radiantcore/eclass/EClassParser.cpp Diff File
mod - radiantcore/eclass/EntityClass.cpp Diff File
mod - radiantcore/eclass/EntityClass.h Diff File

DarkRadiant: declmanager 3fa9acb0

2022-07-03 06:39:51

greebo

Details Diff
0005977: All client code is passing false to the isFixedSize argument, remove the argument and hardcode the argument in EntityClass:CreateDefault. Affected Issues
0005977
mod - radiantcore/eclass/DefCreators.h Diff File
mod - radiantcore/eclass/EClassManager.cpp Diff File
mod - radiantcore/eclass/EntityClass.cpp Diff File
mod - radiantcore/eclass/EntityClass.h Diff File

DarkRadiant: declmanager cee506b9

2022-07-03 06:42:51

greebo

Details Diff
0005977: Remove the isFixedSize parameter altogether, it's now false by default in the only constructor that's left. Affected Issues
0005977
mod - radiantcore/eclass/EClassParser.cpp Diff File
mod - radiantcore/eclass/EntityClass.cpp Diff File
mod - radiantcore/eclass/EntityClass.h Diff File

DarkRadiant: declmanager bb462bd5

2022-07-03 06:46:27

greebo

Details Diff
0005977: Setting the model path on the entity class will alter the isFixedSize flag, so reactivate the code in the EClassParser for the moment being. Affected Issues
0005977
mod - include/ieclass.h Diff File
mod - radiantcore/eclass/EClassParser.cpp Diff File
mod - radiantcore/eclass/EntityClass.h Diff File

DarkRadiant: declmanager 8acdb354

2022-07-03 12:25:00

greebo

Details Diff
0005977: Move eclass-related tests to separate test fixture, the Entity test was getting a bit crowded Affected Issues
0005977
mod - test/CMakeLists.txt Diff File
mod - test/Entity.cpp Diff File
add - test/EntityClass.cpp Diff File
mod - tools/msvc/Tests/Tests.vcxproj Diff File
mod - tools/msvc/Tests/Tests.vcxproj.filters Diff File

DarkRadiant: declmanager 824123c6

2022-07-03 12:45:25

greebo

Details Diff
0005977: Add unit test checking that loading a map with an entity referencing a missing entityDef doesn't discard its child primitives, even after saving Affected Issues
0005977
mod - test/EntityClass.cpp Diff File
add - test/algorithm/FileUtils.h Diff File
mod - test/algorithm/Scene.h Diff File
add - test/resources/tdm/maps/missing_entitydef.map Diff File
mod - tools/msvc/Tests/Tests.vcxproj Diff File
mod - tools/msvc/Tests/Tests.vcxproj.filters Diff File

DarkRadiant: declmanager 903dc836

2022-07-03 14:32:48

greebo

Details Diff
0005977: Introduce IEntityClass::Type enumeration which should serve as new basis for determining which C++ types should be created for a certain entity class. The logic has been taken from existing code in EntityModule, which is going to be migrated in the next step.
Added unit tests covering the distinction criteria, including scenarios where the relevant attributes are inherited from a parent.
Affected Issues
0005977
mod - include/ieclass.h Diff File
mod - radiantcore/eclass/EntityClass.cpp Diff File
mod - radiantcore/eclass/EntityClass.h Diff File
mod - test/EntityClass.cpp Diff File
mod - test/resources/tdm/def/base.def Diff File
mod - test/resources/tdm/def/bucket.def Diff File
mod - test/resources/tdm/def/player.def Diff File

DarkRadiant: declmanager 654566a3

2022-07-03 14:38:35

greebo

Details Diff
0005977: Create the entity instances based on the type returned by IEntityClass::getClassType() Affected Issues
0005977
mod - radiantcore/entity/EntityModule.cpp Diff File

DarkRadiant: declmanager 3d03b3f5

2022-07-03 15:30:19

greebo

Details Diff
0005977: Remove the getModelpath/setModelPath and getSkin/setSkin methods from the EntityClass type, no code is using these values after they've been set.
Instead the _isFixedSize flag is set based on the occurrence of a "model" attribute on the class or any of its ancestors. This is needed to give the correct hints to the algorithm in getClassType().
Affected Issues
0005977
mod - radiantcore/eclass/EClassParser.cpp Diff File
mod - radiantcore/eclass/EntityClass.cpp Diff File
mod - radiantcore/eclass/EntityClass.h Diff File

DarkRadiant: declmanager 26fcfa73

2022-07-03 16:50:02

greebo

Details Diff
0005977: Start changing the EntityClass methods to lazy-parse itself from the syntax block when any of the public methods are invoked.
This requires the const-ness to be dropped from most methods - the alternative would be to keep the const-ness but ensure that the instance is parsed before any of the public methods can be safely invoked. Which is something we cannot promise at this point.
Affected Issues
0005977
mod - include/ieclass.h Diff File
mod - libs/eclass.h Diff File
mod - libs/wxutil/EntityClassChooser.cpp Diff File
mod - plugins/dm.conversation/ConversationCommandInfo.cpp Diff File
mod - plugins/dm.difficulty/DifficultySettings.cpp Diff File
mod - plugins/dm.editing/AIVocalSetPreview.cpp Diff File
mod - radiant/ui/einspector/EntityInspector.cpp Diff File
mod - radiantcore/eclass/EntityClass.cpp Diff File
mod - radiantcore/eclass/EntityClass.h Diff File
mod - radiantcore/entity/EntityModule.cpp Diff File
mod - radiantcore/map/aas/AasFileManager.cpp Diff File
mod - test/EntityClass.cpp Diff File

DarkRadiant: declmanager b0a33a09

2022-07-04 16:06:43

greebo

Details Diff
0005977: Add parse guards to all the locations where the def contents need to have been processed. Affected Issues
0005977
mod - radiantcore/eclass/EntityClass.cpp Diff File
mod - radiantcore/eclass/EntityClass.h Diff File

DarkRadiant: declmanager 3de422ef

2022-07-04 16:52:08

greebo

Details Diff
0005977: Unhook the existing eclass parse infrastructure, redirect lookups and walkers to the GlobalDeclarationManager Affected Issues
0005977
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - radiantcore/eclass/EClassManager.cpp Diff File
mod - radiantcore/eclass/EClassManager.h Diff File
mod - radiantcore/eclass/EClassParser.cpp Diff File
mod - radiantcore/eclass/EntityClass.cpp Diff File
mod - radiantcore/eclass/EntityClass.h Diff File

DarkRadiant: declmanager 7ae1bbc1

2022-07-06 15:08:03

greebo

Details Diff
0005977: Add unit test checking that the typename is compared case-insensitively (fails).
Attempt to fix Linux build failure due to "None" being defined in some X11 header
Affected Issues
0005977
mod - include/ideclmanager.h Diff File
mod - include/idecltypes.h Diff File
mod - test/DeclManager.cpp Diff File
mod - test/resources/tdm/testdecls/numbers.decl Diff File

DarkRadiant: declmanager b5b3bbc6

2022-07-06 16:52:39

greebo

Details Diff
0005977: Decl typenames are treated case-insensitively now Affected Issues
0005977
mod - radiantcore/decl/DeclarationFolderParser.cpp Diff File
mod - radiantcore/decl/DeclarationFolderParser.h Diff File
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - radiantcore/decl/DeclarationManager.h Diff File

DarkRadiant: declmanager d4323b5b

2022-07-07 03:32:50

greebo

Details Diff
0005977: Fix build Affected Issues
0005977
mod - plugins/dm.editing/AIHeadChooserDialog.cpp Diff File

DarkRadiant: declmanager 2cca3421

2022-07-07 04:45:46

greebo

Details Diff
0005977: MainFrame is using the DeclManager's signals to block updates during reloadDecls Affected Issues
0005977
mod - include/ideclmanager.h Diff File
mod - radiant/ui/mainframe/MainFrame.cpp Diff File
mod - radiant/ui/mainframe/MainFrame.h Diff File
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - radiantcore/decl/DeclarationManager.h Diff File
mod - test/DeclManager.cpp Diff File

DarkRadiant: declmanager 7bea2b6a

2022-07-07 04:57:47

greebo

Details Diff
0005977: Add unit test covering some faulty behaviour in DefTokeniser when running into empty quotes at the end of a syntax block Affected Issues
0005977
mod - test/CMakeLists.txt Diff File
mod - tools/msvc/Tests/Tests.vcxproj Diff File
mod - tools/msvc/Tests/Tests.vcxproj.filters Diff File

DarkRadiant: declmanager 78a76c5c

2022-07-07 04:58:38

greebo

Details Diff
0005977: Decl implementations need to protect themselves against parser::ParseException when tokenising their syntax blocks. Affected Issues
0005977
mod - radiantcore/eclass/Doom3ModelDef.h Diff File
mod - radiantcore/eclass/EntityClass.cpp Diff File
mod - radiantcore/eclass/EntityClass.h Diff File

DarkRadiant: declmanager 05abf6c0

2022-07-07 05:15:57

greebo

Details Diff
0005977: Fix DefTokeniserFunc behaviour when running out of non-delimiter tokens after the final closing quote. This fixes the DefTokeniser unit test. Affected Issues
0005977
mod - libs/parser/DefTokeniser.h Diff File

DarkRadiant: declmanager 0f89b34f

2022-07-07 05:25:21

greebo

Details Diff
0005977: More unit test cases covering the BasicDefTokeniser.
This could easily use like dozens of more cases given the complexity of the tokeniser functor.
Affected Issues
0005977
mod - radiantcore/eclass/EntityClass.cpp Diff File
mod - test/DefTokenisers.cpp Diff File

DarkRadiant: declmanager 89bac80d

2022-07-07 07:28:28

greebo

Details Diff
0005977: Nullify the IEntityClass parent on clear(), i.e. when a new syntax block is assigned Affected Issues
0005977
mod - radiantcore/eclass/EntityClass.cpp Diff File

DarkRadiant: declmanager 1328ab4c

2022-07-07 07:41:42

greebo

Details Diff
0005977: Migrate the EntityInspector code that refreshes the view when defs are reloaded Affected Issues
0005977
mod - radiant/ui/einspector/EntityInspector.cpp Diff File

DarkRadiant: declmanager c4f19c87

2022-07-07 08:38:07

greebo

Details Diff
0005977: Fix IEntityClass::getModName and getDefFileName implementations. Add corresponding unit test. Affected Issues
0005977
mod - radiantcore/eclass/EClassParser.cpp Diff File
mod - radiantcore/eclass/EntityClass.cpp Diff File
mod - radiantcore/eclass/EntityClass.h Diff File
mod - test/EntityClass.cpp Diff File
mod - test/RadiantTest.h Diff File

DarkRadiant: declmanager d90cd7b0

2022-07-07 08:53:38

greebo

Details Diff
0005977: Fix ISoundShader implementation, remove redundant class members Affected Issues
0005977
mod - plugins/sound/SoundShader.cpp Diff File
mod - plugins/sound/SoundShader.h Diff File

DarkRadiant: declmanager 66162ee4

2022-07-07 09:05:46

greebo

Details Diff
0005977: Remove a lot of dead eclass code Affected Issues
0005977
mod - include/ieclass.h Diff File
mod - radiantcore/CMakeLists.txt Diff File
mod - radiantcore/eclass/EClassManager.cpp Diff File
mod - radiantcore/eclass/EClassManager.h Diff File
rm - radiantcore/eclass/EClassParser.cpp Diff File
rm - radiantcore/eclass/EClassParser.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: declmanager 02dab15d

2022-07-07 10:34:56

greebo

Details Diff
0005977: Migrate reminaining calls to eclass manager signals to declaration manager signals. No signals anymore on the IEClassManager interface Affected Issues
0005977
mod - include/ieclass.h Diff File
mod - libs/wxutil/EntityClassChooser.cpp Diff File
mod - radiantcore/eclass/EClassManager.cpp Diff File
mod - radiantcore/eclass/EClassManager.h Diff File

DarkRadiant: declmanager 663212c0

2022-07-07 10:47:52

greebo

Details Diff
0005977: Compilation fix Affected Issues
0005977
mod - plugins/dm.editing/AIVocalSetChooserDialog.cpp Diff File

DarkRadiant: declmanager 6bf627f7

2022-07-07 11:03:46

greebo

Details Diff
0005977: Merge redundant getName and getDeclName methods on the IEntityClass interface => use only getDeclName from this point on.
The DeclarationBase<> template is now implementing getDeclName and accepts the name in its constructor.
Affected Issues
0005977
mod - include/ieclass.h Diff File
mod - libs/DeclarationBase.h Diff File
mod - libs/scene/EntityBreakdown.h Diff File
mod - libs/wxutil/EntityClassChooser.cpp Diff File
mod - plugins/dm.conversation/ConversationCommandInfo.cpp Diff File
mod - plugins/dm.conversation/ConversationCommandLibrary.cpp Diff File
mod - plugins/dm.difficulty/ClassNameStore.cpp Diff File
mod - plugins/dm.difficulty/DifficultySettings.cpp Diff File
mod - plugins/dm.editing/AIHeadChooserDialog.cpp Diff File
mod - plugins/dm.editing/AIVocalSetChooserDialog.cpp Diff File
mod - plugins/dm.editing/DeprecatedEclassCollector.h Diff File
mod - plugins/dm.stimresponse/ResponseEffectTypes.cpp Diff File
mod - plugins/sound/SoundShader.cpp Diff File
mod - plugins/sound/SoundShader.h Diff File
mod - radiant/ui/eclasstree/EClassTreeBuilder.cpp Diff File
mod - radiant/ui/einspector/AddPropertyDialog.cpp Diff File
mod - radiant/ui/materials/editor/MaterialPreview.cpp Diff File
mod - radiantcore/eclass/Doom3ModelDef.h Diff File
mod - radiantcore/eclass/EClassColourManager.cpp Diff File
mod - radiantcore/eclass/EntityClass.cpp Diff File
mod - radiantcore/eclass/EntityClass.h Diff File
mod - radiantcore/entity/EntityModule.cpp Diff File
mod - radiantcore/entity/EntityNode.cpp Diff File
mod - radiantcore/entity/NameKey.h Diff File
mod - radiantcore/entity/SpawnArgs.cpp Diff File
mod - radiantcore/filters/XMLFilter.cpp Diff File
mod - test/Entity.cpp Diff File
mod - test/ModelExport.cpp Diff File
mod - test/UndoRedo.cpp Diff File

DarkRadiant: declmanager 38292da5

2022-07-07 11:54:51

greebo

Details Diff
0005977: Move getDeclType to DeclarationBase. Move the parsing infrastructure to the base as well, subclasses will have to implement the parseFromTokens method. Affected Issues
0005977
mod - include/isound.h Diff File
mod - libs/DeclarationBase.h Diff File
mod - plugins/dm.editing/AIVocalSetPreview.cpp Diff File
mod - plugins/script/interfaces/SoundInterface.cpp Diff File
mod - plugins/script/interfaces/SoundInterface.h Diff File
mod - plugins/sound/SoundManager.cpp Diff File
mod - plugins/sound/SoundManager.h Diff File
mod - plugins/sound/SoundShader.cpp Diff File
mod - plugins/sound/SoundShader.h Diff File
mod - radiant/ui/common/SoundChooser.cpp Diff File
mod - radiant/ui/common/SoundShaderDefinitionView.h Diff File
mod - radiantcore/eclass/Doom3ModelDef.h Diff File
mod - radiantcore/eclass/EntityClass.cpp Diff File
mod - radiantcore/eclass/EntityClass.h Diff File
mod - test/SoundManager.cpp Diff File

DarkRadiant: declmanager 9b4a6d05

2022-07-07 12:12:33

greebo

Details Diff
0005977: Adjust ModelDef and SoundShader implementations, remove redundant code Affected Issues
0005977
mod - plugins/sound/SoundShader.cpp Diff File
mod - plugins/sound/SoundShader.h Diff File
mod - radiantcore/eclass/Doom3ModelDef.h Diff File

DarkRadiant: declmanager 35c9687e

2022-07-07 12:22:29

greebo

Details Diff
0005977: All IDeclarations need to implement ModResource now. Move common implementation to DeclarationBase. Affected Issues
0005977
mod - include/ideclmanager.h Diff File
mod - include/ieclass.h Diff File
mod - include/isound.h Diff File
mod - libs/DeclarationBase.h Diff File
mod - plugins/sound/SoundShader.h Diff File
mod - radiantcore/eclass/Doom3ModelDef.h Diff File
mod - radiantcore/eclass/EntityClass.h Diff File
mod - test/DeclManager.cpp Diff File

DarkRadiant: declmanager c2c145c3

2022-07-07 12:59:38

greebo

Details Diff
0005977: Add IDeclaration::getDeclFilePath() to interface. Remove the redundant and differently named methods from the current declaration classes. Affected Issues
0005977
mod - include/ideclmanager.h Diff File
mod - include/ieclass.h Diff File
mod - include/isound.h Diff File
mod - libs/DeclarationBase.h Diff File
mod - libs/wxutil/EntityClassChooser.cpp Diff File
mod - plugins/script/interfaces/EClassInterface.h Diff File
mod - plugins/script/interfaces/SoundInterface.h Diff File
mod - plugins/sound/SoundShader.cpp Diff File
mod - plugins/sound/SoundShader.h Diff File
mod - radiant/ui/common/SoundShaderDefinitionView.cpp Diff File
mod - radiant/ui/common/SoundShaderPreview.cpp Diff File
mod - radiantcore/eclass/EntityClass.cpp Diff File
mod - radiantcore/eclass/EntityClass.h Diff File
mod - test/DeclManager.cpp Diff File
mod - test/EntityClass.cpp Diff File
mod - test/SoundManager.cpp Diff File

DarkRadiant: declmanager eec7cda9

2022-07-07 13:16:49

greebo

Details Diff
0005977: Remove ISoundShader::getDefinition in favour of IDeclaration::getBlockSyntax Affected Issues
0005977
mod - include/isound.h Diff File
mod - plugins/script/interfaces/SoundInterface.h Diff File
mod - plugins/sound/SoundShader.cpp Diff File
mod - plugins/sound/SoundShader.h Diff File
mod - radiant/ui/common/SoundShaderDefinitionView.cpp Diff File
mod - test/DeclManager.cpp Diff File
mod - test/SoundManager.cpp Diff File

DarkRadiant: declmanager c9f982a2

2022-07-07 17:33:29

greebo

Details Diff
0005977: Change exception type to the ones that are natively handled by the CommandSystem Affected Issues
0005977
mod - radiantcore/map/algorithm/Export.cpp Diff File

DarkRadiant: declmanager 76ea178d

2022-07-07 17:46:20

greebo

Details Diff
0005977: Place ReloadDecls in the file menu. This replaces the menu items to the more specific reloadDefs and reloadSounds commands Affected Issues
0005977
mod - install/menu.xml Diff File
mod - libs/DeclarationBase.h Diff File
mod - radiantcore/decl/DeclarationManager.h Diff File

DarkRadiant: declmanager c80f1279

2022-07-08 03:55:46

greebo

Details Diff
0005977: Add unit tests covering the ModelSkinCache module. The first test is failing already since the skin parser cannot deal with mixed casing "SkiN" tokens. Affected Issues
0005977
add - test/Skin.cpp Diff File
add - test/resources/tdm/skins/test_skins.skin Diff File
mod - tools/msvc/Tests/Tests.vcxproj Diff File
mod - tools/msvc/Tests/Tests.vcxproj.filters Diff File

DarkRadiant: declmanager 2b2a0e35

2022-07-08 05:08:10

greebo

Details Diff
0005977: Some more skin tests, most of them failing right now Affected Issues
0005977
mod - test/Skin.cpp Diff File
mod - test/resources/tdm/skins/test_skins.skin Diff File

DarkRadiant: declmanager 096d8af7

2022-07-08 09:51:10

greebo

Details Diff
0005977: Migrate skin code to use the DeclarationManager infrastructure Affected Issues
0005977
mod - include/imodel.h Diff File
mod - include/modelskin.h Diff File
mod - libs/wxutil/preview/ModelPreview.cpp Diff File
mod - plugins/script/interfaces/ModelInterface.cpp Diff File
mod - plugins/script/interfaces/SkinInterface.cpp Diff File
mod - plugins/script/interfaces/SkinInterface.h Diff File
mod - radiant/ui/einspector/SkinChooser.cpp Diff File
mod - radiant/ui/materials/editor/MaterialPreview.cpp Diff File
mod - radiant/ui/materials/editor/TestModelSkin.h Diff File
mod - radiantcore/model/NullModel.cpp Diff File
mod - radiantcore/model/NullModel.h Diff File
mod - radiantcore/model/StaticModel.cpp Diff File
mod - radiantcore/model/StaticModel.h Diff File
mod - radiantcore/model/StaticModelNode.cpp Diff File
mod - radiantcore/model/md5/MD5Model.cpp Diff File
mod - radiantcore/model/md5/MD5Model.h Diff File
mod - radiantcore/model/md5/MD5ModelNode.cpp Diff File
mod - radiantcore/skins/Doom3ModelSkin.h Diff File
mod - radiantcore/skins/Doom3SkinCache.cpp Diff File
mod - radiantcore/skins/Doom3SkinCache.h Diff File
add - radiantcore/skins/SkinCreator.h Diff File
rm - radiantcore/skins/SkinDeclParser.h Diff File
mod - test/Skin.cpp Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: declmanager b967f34f

2022-07-08 10:57:54

greebo

Details Diff
0005977: DeclarationManager's declsReloaded signal is now fired on a different thread when coming back from the parser. Affected Issues
0005977
mod - include/ideclmanager.h Diff File
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - radiantcore/decl/DeclarationManager.h Diff File
mod - radiantcore/skins/Doom3SkinCache.cpp Diff File
mod - radiantcore/skins/Doom3SkinCache.h Diff File
mod - test/DeclManager.cpp Diff File
mod - test/Skin.cpp Diff File

DarkRadiant: declmanager 1810e736

2022-07-08 11:17:48

greebo

Details Diff
0005977: Fix flaky unit test now that signal emission is no longer synchronised Affected Issues
0005977
mod - test/DeclManager.cpp Diff File
add - test/testutil/ThreadUtils.h Diff File
mod - tools/msvc/Tests/Tests.vcxproj Diff File
mod - tools/msvc/Tests/Tests.vcxproj.filters Diff File

DarkRadiant: declmanager 7c3d4cb3

2022-07-08 11:50:07

greebo

Details Diff
0005977: ModelTreeView: Don't attempt to add skins to model folders. Affected Issues
0005977
mod - radiant/ui/modelselector/ModelDataInserter.h Diff File

DarkRadiant: declmanager 091b7394

2022-07-08 11:57:24

greebo

Details Diff
0005977: Remove redundant methods from ISkin interface. Remove Reload Skins command from menu, is superseded by Reload Declarations. Affected Issues
0005977
mod - include/modelskin.h Diff File
mod - install/menu.xml Diff File
mod - plugins/script/interfaces/SkinInterface.h Diff File
mod - test/Skin.cpp Diff File

DarkRadiant: declmanager dfc4de02

2022-07-08 12:10:02

greebo

Details Diff
0005977: Fix TestModelSkin needed to change the test surface in the Material Editor Affected Issues
0005977
mod - radiant/ui/materials/editor/TestModelSkin.h Diff File

DarkRadiant: declmanager 3005c714

2022-07-08 12:28:59

greebo

Details Diff
0005977: Add unit test checking that reloadDecls is actually refreshing the skin mapping of models in the scene.
Even though there's no explicit code monitoring skins being reloaded, the test is already green due to the entitydef-reloaded signal causing a full refresh of all the entities in the map, including refreshing their skins.
Affected Issues
0005977
mod - test/Skin.cpp Diff File

DarkRadiant: declmanager ddbb5dcb

2022-07-08 12:48:55

greebo

Details Diff
0005977: Add a variant unit test checking that the skins reloaded signal is the one causing models to update their skin remaps Affected Issues
0005977
mod - test/Skin.cpp Diff File

DarkRadiant: declmanager f0aaeda0

2022-07-08 12:55:15

greebo

Details Diff
0005977: Move the skin refreshing algorithm to the ModelSkinCache (this fixes the unit test). Remove the "ReloadSkins" command and code files. Affected Issues
0005977
mod - radiantcore/CMakeLists.txt Diff File
mod - radiantcore/map/Map.cpp Diff File
rm - radiantcore/map/algorithm/Skins.cpp Diff File
rm - radiantcore/map/algorithm/Skins.h Diff File
mod - radiantcore/skins/Doom3SkinCache.cpp Diff File
mod - radiantcore/skins/Doom3SkinCache.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: declmanager b188a7a7

2022-07-08 14:20:01

greebo

Details Diff
0005977: IParticleDef is now deriving from IDeclaration. Adjust ParticleDef implementation minimally to meet the interface requirements. Affected Issues
0005977
mod - include/iparticles.h Diff File
mod - libs/wxutil/preview/ParticlePreview.cpp Diff File
mod - libs/wxutil/preview/ParticlePreview.h Diff File
mod - radiant/ui/particles/ParticleEditor.cpp Diff File
mod - radiant/ui/particles/ParticleEditor.h Diff File
mod - radiantcore/particles/ParticleDef.h Diff File
mod - radiantcore/particles/ParticlesManager.cpp Diff File
mod - radiantcore/particles/ParticlesManager.h Diff File
mod - radiantcore/particles/RenderableParticle.cpp Diff File
mod - radiantcore/particles/RenderableParticle.h Diff File

DarkRadiant: declmanager d6aed78a

2022-07-08 14:50:02

greebo

Details Diff
0005977: Start adding unit tests covering the particle interfaces Affected Issues
0005977
mod - test/Particles.cpp Diff File

DarkRadiant: declmanager e1bbe7f4

2022-07-08 17:26:42

greebo

Details Diff
0005977: More unit tests and a few outlined ones covering particle management Affected Issues
0005977
mod - test/Particles.cpp Diff File
add - test/resources/tdm/particles/testparticles.prt Diff File
mod - test/resources/tdm/test_particles.pk4 Diff File
mod - test/testutil/TemporaryFile.h Diff File

DarkRadiant: declmanager 6e853d2b

2022-07-09 03:53:57

greebo

Details Diff
0005977: Implement a unit tests covering particle export to an existing file Affected Issues
0005977
mod - test/Particles.cpp Diff File
mod - test/algorithm/FileUtils.h Diff File

DarkRadiant: declmanager b954865d

2022-07-09 04:44:03

greebo

Details Diff
0005977: Implement the rest of the unit tests. Most of them are red now, they're aimed to work with the upcoming changes Affected Issues
0005977
mod - test/Particles.cpp Diff File

DarkRadiant: declmanager dd373b0c

2022-07-09 11:06:33

greebo

Details Diff
0005977: Migrate ParticlesManager to use the declaration infrastructure (WIP). Affected Issues
0005977
mod - include/iparticles.h Diff File
mod - include/iparticlestage.h Diff File
mod - libs/wxutil/preview/ParticlePreview.cpp Diff File
mod - radiant/ui/particles/ParticleEditor.cpp Diff File
mod - radiantcore/particles/ParticleDef.cpp Diff File
mod - radiantcore/particles/ParticleDef.h Diff File
add - radiantcore/particles/ParticleDefCreator.h Diff File
mod - radiantcore/particles/ParticleLoader.cpp Diff File
mod - radiantcore/particles/ParticleLoader.h Diff File
mod - radiantcore/particles/ParticlesManager.cpp Diff File
mod - radiantcore/particles/ParticlesManager.h Diff File
mod - radiantcore/particles/RenderableParticle.cpp Diff File
mod - radiantcore/particles/StageDef.cpp Diff File
mod - radiantcore/particles/StageDef.h Diff File
mod - test/Particles.cpp Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: declmanager cf443a89

2022-07-09 12:29:32

greebo

Details Diff
0005977: Code cleanup Affected Issues
0005977
mod - radiantcore/CMakeLists.txt Diff File
mod - radiantcore/particles/ParticleDef.h Diff File
rm - radiantcore/particles/ParticleLoader.cpp Diff File
rm - radiantcore/particles/ParticleLoader.h Diff File
mod - radiantcore/particles/ParticlesManager.cpp Diff File
mod - radiantcore/particles/ParticlesManager.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: declmanager bdab442f

2022-07-09 12:59:41

greebo

Details Diff
0005977: Remove redundant methods from IParticleDef interface Affected Issues
0005977
mod - include/iparticles.h Diff File
mod - radiant/ui/particles/ParticleEditor.cpp Diff File
mod - radiant/ui/particles/ThreadedParticlesLoader.h Diff File
mod - radiantcore/particles/ParticleDef.h Diff File
mod - radiantcore/particles/ParticlesManager.cpp Diff File
mod - radiantcore/particles/ParticlesManager.h Diff File
mod - test/Particles.cpp Diff File

DarkRadiant: declmanager 850ff74a

2022-07-09 13:30:55

greebo

Details Diff
0005977: Use a dedicated decl type enum value for the unit tests Affected Issues
0005977
mod - include/idecltypes.h Diff File
mod - test/DeclManager.cpp Diff File

DarkRadiant: declmanager 0be435e3

2022-07-09 13:48:24

greebo

Details Diff
0005977: Add IDeclarationManager::removeDeclaration method to interface.
Use a dedicated decl type enum value for the unit tests.
Affected Issues
0005977
mod - include/ideclmanager.h Diff File
mod - include/idecltypes.h Diff File
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - radiantcore/decl/DeclarationManager.h Diff File
mod - test/DeclManager.cpp Diff File
mod - test/testutil/ThreadUtils.h Diff File

DarkRadiant: declmanager 7af346cc

2022-07-09 17:21:45

greebo

Details Diff
0005977: Fixup ParticleDef and StageDef implementations Affected Issues
0005977
mod - include/iparticles.h Diff File
mod - include/iparticlestage.h Diff File
mod - radiantcore/particles/ParticleDef.cpp Diff File
mod - radiantcore/particles/ParticleDef.h Diff File
mod - radiantcore/particles/ParticlesManager.cpp Diff File
mod - radiantcore/particles/StageDef.cpp Diff File
mod - radiantcore/particles/StageDef.h Diff File
mod - test/Particles.cpp Diff File

DarkRadiant: declmanager 2510311f

2022-07-10 04:32:30

greebo

Details Diff
0005977: Particle def changes through the public API should be reflected in its syntax Affected Issues
0005977
mod - test/Particles.cpp Diff File

DarkRadiant: declmanager 46d0fe24

2022-07-10 05:53:37

greebo

Details Diff
0005977: Introduce new EditableDeclaration base class to be implemented by declaration types that are changeable by the user through a public API, like particles and materials Affected Issues
0005977
mod - include/ideclmanager.h Diff File
mod - libs/DeclarationBase.h Diff File
add - libs/EditableDeclaration.h Diff File
mod - test/DeclManager.cpp Diff File
mod - tools/msvc/libs.vcxproj Diff File
mod - tools/msvc/libs.vcxproj.filters Diff File

DarkRadiant: declmanager efd0446a

2022-07-10 11:20:13

greebo

Details Diff
0005977: ParticleDef is now an EditableDeclaration. Implement generateSyntax() and adjust the stream insertion operator to use the new method. Affected Issues
0005977
mod - libs/EditableDeclaration.h Diff File
mod - radiantcore/particles/ParticleDef.cpp Diff File
mod - radiantcore/particles/ParticleDef.h Diff File
mod - test/DeclManager.cpp Diff File
mod - test/Particles.cpp Diff File

DarkRadiant: declmanager 768b1511

2022-07-10 11:31:19

greebo

Details Diff
0005977: ParticleDef is writing the missing depth hack value now Affected Issues
0005977
mod - libs/EditableDeclaration.h Diff File
mod - radiantcore/particles/ParticleDef.cpp Diff File
mod - radiantcore/particles/ParticleDef.h Diff File
mod - test/Particles.cpp Diff File

DarkRadiant: declmanager f3a277d3

2022-07-10 12:10:42

greebo

Details Diff
0005977: Connect StageDef change signals to the onParticleChanged method to emit the signal as well as tag the syntax as outdated.
Refactor ParticleDef to reduce code duplication when setting up the stages, everything is using appendStage now.
Affected Issues
0005977
mod - radiantcore/particles/ParticleDef.cpp Diff File
mod - radiantcore/particles/ParticleDef.h Diff File
mod - radiantcore/particles/StageDef.h Diff File
mod - test/Particles.cpp Diff File

DarkRadiant: declmanager 1fa7a7b1

2022-07-10 12:23:55

greebo

Details Diff
0005977: Cover particle parameter change notifications Affected Issues
0005977
mod - test/Particles.cpp Diff File

DarkRadiant: declmanager bab8dfcf

2022-07-10 13:46:14

greebo

Details Diff
0005977: Craft a couple of unit tests targeting IDeclarationManager::saveDeclaration in various scenarios Affected Issues
0005977
mod - include/ideclmanager.h Diff File
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - radiantcore/decl/DeclarationManager.h Diff File
mod - test/DeclManager.cpp Diff File
mod - test/Particles.cpp Diff File
add - test/resources/tdm/test_decls.pk4 Diff File

DarkRadiant: declmanager d13d625d

2022-07-10 14:51:22

greebo

Details Diff
0005977: First saveDeclaration implementation Affected Issues
0005977
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - radiantcore/particles/ParticlesManager.cpp Diff File

DarkRadiant: declmanager 2aef403b

2022-07-10 15:05:38

greebo

Details Diff
0005977: Stabilise the code, adjust unit tests assertions, simplify SpliceHelper (this breaks the particle and material editor output for the moment being) Affected Issues
0005977
mod - libs/decl/SpliceHelper.h Diff File
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - test/DeclManager.cpp Diff File

DarkRadiant: declmanager cb040b0f

2022-07-10 15:23:12

greebo

Details Diff
0005977: Add unit tests covering the various typename variants when replacing declarations Affected Issues
0005977
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - test/DeclManager.cpp Diff File

DarkRadiant: declmanager 84f8ae10

2022-07-10 15:27:17

greebo

Details Diff
0005977: Move DeclarationBase and EditableDeclaration to libs/decl/ folder Affected Issues
0005977
mod - plugins/sound/SoundShader.h Diff File
mod - radiantcore/eclass/Doom3ModelDef.h Diff File
mod - radiantcore/eclass/EntityClass.h Diff File
mod - radiantcore/particles/ParticleDef.h Diff File
mod - radiantcore/skins/Doom3ModelSkin.h Diff File
mod - test/DeclManager.cpp Diff File
mod - tools/msvc/libs.vcxproj Diff File
mod - tools/msvc/libs.vcxproj.filters Diff File

DarkRadiant: declmanager f05d2383

2022-07-10 15:48:16

greebo

Details Diff
0005977: Merge declaration creators into one decl::DeclarationCreator<> template Affected Issues
0005977
add - libs/decl/DeclarationCreator.h Diff File
mod - plugins/sound/SoundManager.cpp Diff File
rm - plugins/sound/SoundShaderParser.h Diff File
mod - radiantcore/eclass/DefCreators.h Diff File
mod - radiantcore/eclass/EClassManager.cpp Diff File
rm - radiantcore/particles/ParticleDefCreator.h Diff File
mod - radiantcore/particles/ParticlesManager.cpp Diff File
mod - radiantcore/skins/Doom3SkinCache.cpp Diff File
rm - radiantcore/skins/SkinCreator.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File
mod - tools/msvc/libs.vcxproj Diff File
mod - tools/msvc/libs.vcxproj.filters Diff File
mod - tools/msvc/sound.vcxproj Diff File
mod - tools/msvc/sound.vcxproj.filters Diff File

DarkRadiant: declmanager 8bc1f0db

2022-07-10 15:54:43

greebo

Details Diff
0005977: Remove named EntityClass constructor and set the eclass default colour to DefaultEntityColour in the constructor, this effectively produces the same result as the static constructor. Affected Issues
0005977
rm - radiantcore/eclass/DefCreators.h Diff File
mod - radiantcore/eclass/EClassManager.cpp Diff File
mod - radiantcore/eclass/EntityClass.cpp Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: declmanager 301aa150

2022-07-10 17:44:16

greebo

Details Diff
0005977: Migrated the table parsing code Affected Issues
0005977
mod - include/idecltypes.h Diff File
mod - include/ishaders.h Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.cpp Diff File
mod - radiantcore/shaders/ShaderExpression.h Diff File
mod - radiantcore/shaders/ShaderFileLoader.h Diff File
mod - radiantcore/shaders/ShaderLibrary.cpp Diff File
mod - radiantcore/shaders/ShaderLibrary.h Diff File
mod - radiantcore/shaders/TableDefinition.cpp Diff File
mod - radiantcore/shaders/TableDefinition.h Diff File
mod - test/Materials.cpp Diff File

DarkRadiant: declmanager fdfed79b

2022-07-14 15:26:28

greebo

Details Diff
0005977: Start adjusting the ShaderTemplate/ShaderDefinition classes to fit into the Declaration framework. Affected Issues
0005977
mod - include/ishaders.h Diff File
mod - libs/parser/DefTokeniser.h Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.h Diff File
mod - radiantcore/shaders/ShaderLibrary.cpp Diff File
mod - radiantcore/shaders/ShaderLibrary.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File

DarkRadiant: declmanager bc39715c

2022-07-14 16:21:20

greebo

Details Diff
0005977: Let Declarations define their own set of delimiters when parsing the def blocks. As long as I can't confirm that the set is valid for all types of declarations, I'll stick to what worked up to now and keep the virtual. Affected Issues
0005977
mod - libs/decl/DeclarationBase.h Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File

DarkRadiant: declmanager 218228e4

2022-07-15 16:34:08

greebo

Details Diff
0005977: Disable the old ShaderFileLoader code. Re-implement the ShaderLibrary::copyDefinition method. Affected Issues
0005977
mod - radiantcore/shaders/Doom3ShaderSystem.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.h Diff File
mod - radiantcore/shaders/ShaderFileLoader.h Diff File
mod - radiantcore/shaders/ShaderLibrary.cpp Diff File

DarkRadiant: declmanager fc2340e6

2022-07-15 16:58:25

greebo

Details Diff
0005977: Add IDeclarationManager::renameDeclaration method and unit tests (no implementation yet). Affected Issues
0005977
mod - include/ideclmanager.h Diff File
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - radiantcore/decl/DeclarationManager.h Diff File
mod - test/DeclManager.cpp Diff File

DarkRadiant: declmanager 44cc8106

2022-07-16 09:24:14

greebo

Details Diff
0005977: Implement IDeclarationManager::renameDeclaration Affected Issues
0005977
mod - radiantcore/decl/DeclarationManager.cpp Diff File

DarkRadiant: declmanager 01ac3ae2

2022-07-16 09:33:40

greebo

Details Diff
0005977: Migrate more MaterialManager methods Affected Issues
0005977
mod - radiantcore/shaders/Doom3ShaderSystem.cpp Diff File
mod - radiantcore/shaders/ShaderLibrary.cpp Diff File
mod - radiantcore/shaders/ShaderLibrary.h Diff File

DarkRadiant: declmanager 061ce5d4

2022-07-16 10:36:44

greebo

Details Diff
0005977: Add IDeclaration::setFileInfo method, since we need the ability to set the target path quite a few times Affected Issues
0005977
mod - include/ideclmanager.h Diff File
mod - libs/decl/DeclarationBase.h Diff File
mod - radiantcore/particles/ParticleDef.h Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.cpp Diff File
mod - radiantcore/shaders/ShaderLibrary.cpp Diff File
mod - test/DeclManager.cpp Diff File
mod - test/Particles.cpp Diff File

DarkRadiant: declmanager 4ca47f89

2022-07-16 13:46:26

greebo

Details Diff
0005977: EditableDeclaration constructor is now protected, declare the default copy constructor and make actual use of it when cloning ShaderTemplates. Affected Issues
0005977
mod - libs/decl/DeclarationBase.h Diff File
mod - libs/decl/EditableDeclaration.h Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File

DarkRadiant: declmanager c1161ddc

2022-07-16 13:48:58

greebo

Details Diff
0005977: Remove old vfs::FileInfo member from CShader Affected Issues
0005977
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File

DarkRadiant: declmanager 43c84201

2022-07-16 14:47:15

greebo

Details Diff
0005977: Cleanup. Migrate MaterialManager::saveMaterial to use the declaration manager interface instead of the home-grown algorithm.
The material export test is failing now due to the trailing single-line comment in the .mtr file.
Affected Issues
0005977
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.h Diff File
rm - radiantcore/shaders/ShaderFileLoader.h Diff File
mod - radiantcore/shaders/ShaderLibrary.cpp Diff File
mod - radiantcore/shaders/ShaderLibrary.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: declmanager 6f224d19

2022-07-17 08:57:37

greebo

Details Diff
0005977: Add unit test covering IDeclarationManager::saveDeclaration not being able to find the declaration with a commment after the opening brace. Affected Issues
0005977
mod - test/DeclManager.cpp Diff File
mod - test/resources/tdm/testdecls/numbers.decl Diff File

DarkRadiant: declmanager ed847374

2022-07-17 09:01:29

greebo

Details Diff
0005977: Fix the failing unit test, and add one more test with a single-line scenario Affected Issues
0005977
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - test/DeclManager.cpp Diff File
mod - test/resources/tdm/testdecls/numbers.decl Diff File

DarkRadiant: declmanager cd10548e

2022-07-17 11:08:30

greebo

Details Diff
0005977: Remove a couple of signal and realise/unrealise methods from the MaterialManager interface. So far it turns out their absence doesn't make any difference, since the realisation of the OpenGLRenderSystem is depending on other modules which take much longer during startup (i.e. openGL extensionsInitialised). Affected Issues
0005977
mod - include/ishaders.h Diff File
mod - radiant/ui/mediabrowser/MediaBrowser.cpp Diff File
mod - radiant/ui/texturebrowser/TextureBrowser.cpp Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.cpp Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.h Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.h Diff File
mod - radiantcore/shaders/MaterialSourceGenerator.cpp Diff File
mod - radiantcore/shaders/MaterialSourceGenerator.h Diff File

DarkRadiant: declmanager 038da88c

2022-07-17 11:28:31

greebo

Details Diff
0005977: Remove a bunch of unneeded code, remove ShaderDefinition type Affected Issues
0005977
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderSystem.h Diff File
rm - radiantcore/shaders/ShaderDefinition.h Diff File
mod - radiantcore/shaders/ShaderLibrary.cpp Diff File
mod - radiantcore/shaders/ShaderLibrary.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: declmanager aa91f536

2022-07-17 11:50:06

greebo

Details Diff
0005977: Rename MaterialManager interface type to IMaterialManager, implementation is now renamed from Doom3ShaderSystem to MaterialManager. Affected Issues
0005977
mod - include/ishaders.h Diff File
mod - radiantcore/CMakeLists.txt Diff File
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/Doom3ShaderLayer.cpp Diff File
mod - radiantcore/shaders/ShaderExpression.cpp Diff File
mod - radiantcore/shaders/TextureMatrix.cpp Diff File
mod - radiantcore/shaders/textures/TextureManipulator.cpp Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: declmanager 8225f1fd

2022-07-17 11:53:24

greebo

Details Diff
0005977: Remove unneeded typedefs Affected Issues
0005977
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File

DarkRadiant: declmanager b5dbb8a3

2022-07-17 12:31:57

greebo

Details Diff
0005977: Remove RefreshShaders command in favour of reloadDecls Affected Issues
0005977
mod - install/menu.xml Diff File
mod - install/user.xml Diff File
mod - plugins/dm.gui/plugin.cpp Diff File
mod - radiant/ui/UserInterfaceModule.cpp Diff File
mod - radiant/ui/UserInterfaceModule.h Diff File
mod - radiant/ui/script/ScriptUserInterfaceModule.cpp Diff File

DarkRadiant: declmanager 36d8a188

2022-07-17 12:46:55

greebo

Details Diff
0005977: Clear the ShaderTemplate before reparsing the contents. Refresh shaders after reloading the decls. Affected Issues
0005977
mod - radiantcore/shaders/CShader.cpp Diff File
mod - radiantcore/shaders/CShader.h Diff File
mod - radiantcore/shaders/MaterialManager.cpp Diff File
mod - radiantcore/shaders/MaterialManager.h Diff File
mod - radiantcore/shaders/ShaderTemplate.cpp Diff File
mod - radiantcore/shaders/ShaderTemplate.h Diff File

DarkRadiant: declmanager 577124a0

2022-07-17 15:20:40

greebo

Details Diff
0005977: Remove ReloadParticles command, should use ReloadDecls instead Affected Issues
0005977
mod - include/iparticles.h Diff File
mod - install/menu.xml Diff File
mod - libs/wxutil/preview/ParticlePreview.cpp Diff File
mod - radiantcore/particles/ParticlesManager.cpp Diff File
mod - radiantcore/particles/ParticlesManager.h Diff File
mod - radiantcore/shaders/CShader.h Diff File

DarkRadiant: declmanager 43fdf422

2022-07-17 15:41:39

greebo

Details Diff
0005977: Fix regression causing failure to return valid particle nodes Affected Issues
0005977
mod - radiantcore/particles/ParticlesManager.cpp Diff File
mod - test/Particles.cpp Diff File

DarkRadiant: declmanager 69593d3d

2022-07-19 04:22:20

greebo

Details Diff
0005977: Rearrange the signal emission and parser thread cleanup code to avoid deadlocks. Reload Decls signal emission is happening on the thread it was invoked on, otherwise we run into openGL thread access problems. Affected Issues
0005977
mod - radiantcore/decl/DeclarationFolderParser.cpp Diff File
mod - radiantcore/decl/DeclarationFolderParser.h Diff File
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - radiantcore/decl/DeclarationManager.h Diff File
mod - radiantcore/particles/ParticleDef.cpp Diff File
mod - radiantcore/particles/ParticleDef.h Diff File

DarkRadiant: declmanager 69612d33

2022-07-21 17:12:32

greebo

Details Diff
0005977: Extend unit tests to check the thread constellation Affected Issues
0005977
mod - test/DeclManager.cpp Diff File

DarkRadiant: declmanager 554b7f4c

2022-07-21 20:01:01

greebo

Details Diff
0005977: Fix another data race when finishing the parser thread Affected Issues
0005977
mod - radiantcore/decl/DeclarationFolderParser.cpp Diff File
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - radiantcore/decl/DeclarationManager.h Diff File

DarkRadiant: declmanager bf1b60e8

2022-07-21 20:04:24

greebo

Details Diff
0005977: Some simplifications Affected Issues
0005977
mod - radiantcore/decl/DeclarationManager.cpp Diff File
mod - radiantcore/decl/DeclarationManager.h Diff File

DarkRadiant: declmanager d0c668f4

2022-07-22 05:20:03

greebo

Details Diff
0005977: The default-constructed Declarations() structure was actually showing up in the profiler Affected Issues
0005977
mod - radiantcore/decl/DeclarationManager.cpp Diff File

DarkRadiant: declmanager 8f94f81a

2022-07-22 06:06:10

greebo

Details Diff
0005977: Introduce changed signal on IDeclaration Affected Issues
0005977
mod - include/ideclmanager.h Diff File
mod - libs/decl/DeclarationBase.h Diff File
mod - test/DeclManager.cpp Diff File

DarkRadiant: declmanager 06170593

2022-07-22 06:11:00

greebo

Details Diff
0005977: Emit the changed signal when an EditableDeclaration is modified Affected Issues
0005977
mod - libs/decl/EditableDeclaration.h Diff File
mod - test/DeclManager.cpp Diff File

DarkRadiant: declmanager 3c77354e

2022-07-22 08:31:30

greebo

Details Diff
0005977: Add reloadDecls icon Affected Issues
0005977
add - install/bitmaps/reloaddecls.png Diff File
mod - install/menu.xml Diff File

Issue History

Date Modified Username Field Change
16.06.2022 15:55 greebo New Issue
16.06.2022 15:55 greebo Status new => confirmed
16.06.2022 15:55 greebo Relationship added related to 0004910
16.06.2022 15:55 greebo Relationship added related to 0005911
16.06.2022 15:56 greebo Assigned To => greebo
16.06.2022 15:56 greebo Status confirmed => assigned
16.06.2022 15:56 greebo Summary Improve Declaration Block Parser => Improve Declaration Block Parsing
19.06.2022 09:13 greebo Changeset attached => DarkRadiant declmanager 9939fd69
19.06.2022 09:13 greebo Changeset attached => DarkRadiant declmanager 0f91058b
19.06.2022 09:13 greebo Changeset attached => DarkRadiant declmanager 0aa291a2
19.06.2022 09:13 greebo Changeset attached => DarkRadiant declmanager e0a32134
19.06.2022 09:13 greebo Changeset attached => DarkRadiant declmanager 941062eb
19.06.2022 09:13 greebo Changeset attached => DarkRadiant declmanager 409ae7af
19.06.2022 09:13 greebo Changeset attached => DarkRadiant declmanager 2ef2444c
19.06.2022 09:13 greebo Changeset attached => DarkRadiant declmanager 813575cd
19.06.2022 09:13 greebo Changeset attached => DarkRadiant declmanager 639bdeaf
19.06.2022 17:26 greebo Changeset attached => DarkRadiant declmanager 30e8b3f1
19.06.2022 17:26 greebo Changeset attached => DarkRadiant declmanager e6c400e4
19.06.2022 17:26 greebo Changeset attached => DarkRadiant declmanager c4f2bbb0
19.06.2022 17:26 greebo Changeset attached => DarkRadiant declmanager 38ed7f2b
26.06.2022 06:56 greebo Changeset attached => DarkRadiant declmanager df14b271
26.06.2022 06:56 greebo Changeset attached => DarkRadiant declmanager a9896bcb
26.06.2022 06:56 greebo Changeset attached => DarkRadiant declmanager 43c9214e
26.06.2022 06:56 greebo Changeset attached => DarkRadiant declmanager 81fd9fea
26.06.2022 06:56 greebo Changeset attached => DarkRadiant declmanager 612a5307
26.06.2022 06:56 greebo Changeset attached => DarkRadiant declmanager e79828b0
26.06.2022 06:56 greebo Changeset attached => DarkRadiant declmanager 8bf2ffeb
26.06.2022 06:56 greebo Changeset attached => DarkRadiant declmanager 73d41714
26.06.2022 06:56 greebo Changeset attached => DarkRadiant declmanager 9eff8281
26.06.2022 06:56 greebo Changeset attached => DarkRadiant declmanager f1cb6204
26.06.2022 06:56 greebo Changeset attached => DarkRadiant declmanager 3a1d720f
26.06.2022 06:56 greebo Changeset attached => DarkRadiant declmanager 3a58c3cc
26.06.2022 10:53 greebo Changeset attached => DarkRadiant declmanager 9cd59760
26.06.2022 10:53 greebo Changeset attached => DarkRadiant declmanager 86fc80f3
26.06.2022 10:53 greebo Changeset attached => DarkRadiant declmanager 523dc791
26.06.2022 10:53 greebo Changeset attached => DarkRadiant declmanager 90631131
26.06.2022 10:53 greebo Changeset attached => DarkRadiant declmanager 93bf93f1
26.06.2022 10:53 greebo Changeset attached => DarkRadiant declmanager f2032dfa
26.06.2022 10:53 greebo Changeset attached => DarkRadiant declmanager fbb3e81e
26.06.2022 10:53 greebo Changeset attached => DarkRadiant declmanager 60dc9427
26.06.2022 10:53 greebo Changeset attached => DarkRadiant declmanager a533214b
03.07.2022 15:00 greebo Changeset attached => DarkRadiant declmanager 7077f397
03.07.2022 15:00 greebo Changeset attached => DarkRadiant declmanager 7f92e5fe
03.07.2022 15:00 greebo Changeset attached => DarkRadiant declmanager 334067ad
03.07.2022 15:00 greebo Changeset attached => DarkRadiant declmanager 6eaa14e5
03.07.2022 15:00 greebo Changeset attached => DarkRadiant declmanager 0461d6f9
03.07.2022 15:00 greebo Changeset attached => DarkRadiant declmanager a8c9a7c8
03.07.2022 15:00 greebo Changeset attached => DarkRadiant declmanager 3250f2b0
03.07.2022 15:00 greebo Changeset attached => DarkRadiant declmanager f30807cc
03.07.2022 15:00 greebo Changeset attached => DarkRadiant declmanager b1d2e0e5
03.07.2022 15:00 greebo Changeset attached => DarkRadiant declmanager fbfa5e99
03.07.2022 15:00 greebo Changeset attached => DarkRadiant declmanager 697f588b
03.07.2022 15:00 greebo Changeset attached => DarkRadiant declmanager fdc6ccdb
03.07.2022 15:00 greebo Changeset attached => DarkRadiant declmanager 3fa9acb0
03.07.2022 15:00 greebo Changeset attached => DarkRadiant declmanager cee506b9
03.07.2022 15:00 greebo Changeset attached => DarkRadiant declmanager bb462bd5
03.07.2022 15:00 greebo Changeset attached => DarkRadiant declmanager 8acdb354
03.07.2022 15:00 greebo Changeset attached => DarkRadiant declmanager 824123c6
03.07.2022 15:00 greebo Changeset attached => DarkRadiant declmanager 903dc836
03.07.2022 15:00 greebo Changeset attached => DarkRadiant declmanager 654566a3
06.07.2022 16:53 greebo Changeset attached => DarkRadiant declmanager 3d03b3f5
06.07.2022 16:53 greebo Changeset attached => DarkRadiant declmanager 26fcfa73
06.07.2022 16:53 greebo Changeset attached => DarkRadiant declmanager b0a33a09
06.07.2022 16:53 greebo Changeset attached => DarkRadiant declmanager 3de422ef
06.07.2022 16:53 greebo Changeset attached => DarkRadiant declmanager 7ae1bbc1
06.07.2022 16:53 greebo Changeset attached => DarkRadiant declmanager b5b3bbc6
07.07.2022 03:33 greebo Changeset attached => DarkRadiant declmanager d4323b5b
07.07.2022 07:47 greebo Relationship added related to 0005504
07.07.2022 10:38 greebo Changeset attached => DarkRadiant declmanager 2cca3421
07.07.2022 10:38 greebo Changeset attached => DarkRadiant declmanager 7bea2b6a
07.07.2022 10:38 greebo Changeset attached => DarkRadiant declmanager 78a76c5c
07.07.2022 10:38 greebo Changeset attached => DarkRadiant declmanager 05abf6c0
07.07.2022 10:38 greebo Changeset attached => DarkRadiant declmanager 0f89b34f
07.07.2022 10:38 greebo Changeset attached => DarkRadiant declmanager 89bac80d
07.07.2022 10:38 greebo Changeset attached => DarkRadiant declmanager 1328ab4c
07.07.2022 10:38 greebo Changeset attached => DarkRadiant declmanager c4f19c87
07.07.2022 10:38 greebo Changeset attached => DarkRadiant declmanager d90cd7b0
07.07.2022 10:38 greebo Changeset attached => DarkRadiant declmanager 66162ee4
07.07.2022 10:38 greebo Changeset attached => DarkRadiant declmanager 02dab15d
07.07.2022 10:48 greebo Changeset attached => DarkRadiant declmanager 663212c0
07.07.2022 13:08 greebo Changeset attached => DarkRadiant declmanager 6bf627f7
07.07.2022 13:08 greebo Changeset attached => DarkRadiant declmanager 38292da5
07.07.2022 13:08 greebo Changeset attached => DarkRadiant declmanager 9b4a6d05
07.07.2022 13:08 greebo Changeset attached => DarkRadiant declmanager 35c9687e
07.07.2022 13:08 greebo Changeset attached => DarkRadiant declmanager c2c145c3
07.07.2022 13:18 greebo Changeset attached => DarkRadiant declmanager eec7cda9
08.07.2022 11:58 greebo Changeset attached => DarkRadiant declmanager c9f982a2
08.07.2022 11:58 greebo Changeset attached => DarkRadiant declmanager 76ea178d
08.07.2022 11:58 greebo Changeset attached => DarkRadiant declmanager c80f1279
08.07.2022 11:58 greebo Changeset attached => DarkRadiant declmanager 2b2a0e35
08.07.2022 11:58 greebo Changeset attached => DarkRadiant declmanager 096d8af7
08.07.2022 11:58 greebo Changeset attached => DarkRadiant declmanager b967f34f
08.07.2022 11:58 greebo Changeset attached => DarkRadiant declmanager 1810e736
08.07.2022 11:58 greebo Changeset attached => DarkRadiant declmanager 7c3d4cb3
08.07.2022 11:58 greebo Changeset attached => DarkRadiant declmanager 091b7394
08.07.2022 13:02 greebo Changeset attached => DarkRadiant declmanager dfc4de02
08.07.2022 13:02 greebo Changeset attached => DarkRadiant declmanager 3005c714
08.07.2022 13:02 greebo Changeset attached => DarkRadiant declmanager ddbb5dcb
08.07.2022 13:02 greebo Changeset attached => DarkRadiant declmanager f0aaeda0
09.07.2022 16:10 greebo Changeset attached => DarkRadiant declmanager b188a7a7
09.07.2022 16:10 greebo Changeset attached => DarkRadiant declmanager d6aed78a
09.07.2022 16:10 greebo Changeset attached => DarkRadiant declmanager e1bbe7f4
09.07.2022 16:10 greebo Changeset attached => DarkRadiant declmanager 6e853d2b
09.07.2022 16:10 greebo Changeset attached => DarkRadiant declmanager b954865d
09.07.2022 16:10 greebo Changeset attached => DarkRadiant declmanager dd373b0c
09.07.2022 16:10 greebo Changeset attached => DarkRadiant declmanager cf443a89
09.07.2022 16:10 greebo Changeset attached => DarkRadiant declmanager bdab442f
09.07.2022 16:10 greebo Changeset attached => DarkRadiant declmanager 850ff74a
09.07.2022 16:10 greebo Changeset attached => DarkRadiant declmanager 0be435e3
10.07.2022 05:15 greebo Relationship added related to 0006003
10.07.2022 12:11 greebo Changeset attached => DarkRadiant declmanager 7af346cc
10.07.2022 12:11 greebo Changeset attached => DarkRadiant declmanager 2510311f
10.07.2022 12:11 greebo Changeset attached => DarkRadiant declmanager 46d0fe24
10.07.2022 12:11 greebo Changeset attached => DarkRadiant declmanager efd0446a
10.07.2022 12:11 greebo Changeset attached => DarkRadiant declmanager 768b1511
10.07.2022 12:11 greebo Changeset attached => DarkRadiant declmanager f3a277d3
10.07.2022 15:29 greebo Relationship added related to 0006002
10.07.2022 15:35 greebo Changeset attached => DarkRadiant declmanager 1fa7a7b1
10.07.2022 15:35 greebo Changeset attached => DarkRadiant declmanager bab8dfcf
10.07.2022 15:35 greebo Changeset attached => DarkRadiant declmanager d13d625d
10.07.2022 15:35 greebo Changeset attached => DarkRadiant declmanager 2aef403b
10.07.2022 15:35 greebo Changeset attached => DarkRadiant declmanager cb040b0f
10.07.2022 15:35 greebo Changeset attached => DarkRadiant declmanager 84f8ae10
10.07.2022 15:54 greebo Changeset attached => DarkRadiant declmanager f05d2383
10.07.2022 15:54 greebo Changeset attached => DarkRadiant declmanager 8bc1f0db
16.07.2022 14:01 greebo Changeset attached => DarkRadiant declmanager 301aa150
16.07.2022 14:01 greebo Changeset attached => DarkRadiant declmanager fdfed79b
16.07.2022 14:01 greebo Changeset attached => DarkRadiant declmanager bc39715c
16.07.2022 14:01 greebo Changeset attached => DarkRadiant declmanager 218228e4
16.07.2022 14:01 greebo Changeset attached => DarkRadiant declmanager fc2340e6
16.07.2022 14:01 greebo Changeset attached => DarkRadiant declmanager 44cc8106
16.07.2022 14:01 greebo Changeset attached => DarkRadiant declmanager 01ac3ae2
16.07.2022 14:01 greebo Changeset attached => DarkRadiant declmanager 061ce5d4
16.07.2022 14:01 greebo Changeset attached => DarkRadiant declmanager 4ca47f89
16.07.2022 14:01 greebo Changeset attached => DarkRadiant declmanager c1161ddc
17.07.2022 09:09 greebo Changeset attached => DarkRadiant declmanager 43c84201
17.07.2022 09:10 greebo Changeset attached => DarkRadiant declmanager 6f224d19
17.07.2022 09:10 greebo Changeset attached => DarkRadiant declmanager ed847374
21.07.2022 20:01 greebo Changeset attached => DarkRadiant declmanager cd10548e
21.07.2022 20:01 greebo Changeset attached => DarkRadiant declmanager 038da88c
21.07.2022 20:01 greebo Changeset attached => DarkRadiant declmanager aa91f536
21.07.2022 20:01 greebo Changeset attached => DarkRadiant declmanager 8225f1fd
21.07.2022 20:01 greebo Changeset attached => DarkRadiant declmanager b5dbb8a3
21.07.2022 20:01 greebo Changeset attached => DarkRadiant declmanager 36d8a188
21.07.2022 20:01 greebo Changeset attached => DarkRadiant declmanager 577124a0
21.07.2022 20:01 greebo Changeset attached => DarkRadiant declmanager 43fdf422
21.07.2022 20:01 greebo Changeset attached => DarkRadiant declmanager 69593d3d
21.07.2022 20:01 greebo Changeset attached => DarkRadiant declmanager 69612d33
21.07.2022 20:01 greebo Changeset attached => DarkRadiant declmanager 554b7f4c
22.07.2022 05:33 greebo Relationship added related to 0006007
22.07.2022 06:12 greebo Changeset attached => DarkRadiant declmanager bf1b60e8
22.07.2022 06:12 greebo Changeset attached => DarkRadiant declmanager d0c668f4
22.07.2022 06:12 greebo Changeset attached => DarkRadiant declmanager 8f94f81a
22.07.2022 06:12 greebo Changeset attached => DarkRadiant declmanager 06170593
22.07.2022 10:15 greebo Changeset attached => DarkRadiant declmanager 3c77354e
22.07.2022 12:07 greebo Target Version => 3.1.0
22.07.2022 12:07 greebo Status assigned => resolved
22.07.2022 12:07 greebo Resolution open => fixed
22.07.2022 12:07 greebo Fixed in Version => 3.1.0
24.07.2022 12:24 greebo Relationship added related to 0006023